Bug 989726 - [Doc] [RFE] Admin API call to see resizes in progress for an entire region/c...
[Doc] [RFE] Admin API call to see resizes in progress for an entire region/c...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-User_Guide (Show other bugs)
4.0
Unspecified Unspecified
medium Severity unspecified
: ---
: 4.0
Assigned To: Deepti Navale
ecs-bugs
https://blueprints.launchpad.net/nova...
: Documentation, FutureFeature, Triaged
Depends On:
Blocks: 978509 1011085
  Show dependency treegraph
 
Reported: 2013-07-29 15:23 EDT by Stephen Gordon
Modified: 2014-01-06 00:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-06 00:08:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-07-29 15:23:11 EDT
Cloned for documentation impact, refer to Bug # 978509 for implementation details.
Comment 2 Summer Long 2013-08-13 01:46:07 EDT
"As an administrator, I want to see the resize/migration operations in progress for a region/cell. - Justification: Deploys/nova-compute restarts currently break these operations, and this call would determine which instances need attention."

Added 'nova migration-list' command. This command lets Admin's list migrations by applying filters.

Will go into the Command Reference. Should be automated and just a check.
Comment 3 Summer Long 2013-09-25 23:18:43 EDT
CLI reference now in the End User Guide.
Comment 4 Deepti Navale 2013-10-15 20:35:26 EDT
Included the new command 'migration-list' in the command reference appendix.
Fix submitted in review: https://review.openstack.org/#/c/51776/

Reviewed and merged upstream. Ready for QA when docs are branched.

Note You need to log in before you can comment on or make changes to this bug.